;
(function($) {
	LoadCss('color-style');
	mui.init();

	var vm = new Vue({
		el: "#vm_data",
		data: {
			itemDetail: {},
			itemSetpNum: null,
			itemStep: [],
			statusName: ''
		},
		methods: {
			stepDetail: function(idx) {
				var that = this;
				//任务详情页面
				if(that.itemStep[idx].taskStepObj.step_status == 5 || that.itemStep[idx].taskStepObj.step_status == 10) {
					RSUtils.OpenContentPage({
						id: RSUtils.PageId.TaskYes,
						url: '_www/pages/task/task_yes.html',
						extras: {
							taskNo: that.itemDetail.task_no,
							taskId: that.itemDetail.task_id,
							taskName: that.itemDetail.task_name,
							stepDetail: that.itemStep[idx].taskStepObj,
							stepEvi: that.itemStep[idx].stepEvidenceLst,
						}
					});
				} else if(that.itemStep[idx].taskStepObj.step_status == 0) {
					RSUtils.OpenContentPage({
						id: RSUtils.PageId.TaskNo,
						url: '_www/pages/task/task_no.html',
						extras: {
							taskNo: that.itemDetail.task_no,
							taskName: that.itemDetail.task_name,
							stepDetail: that.itemStep[idx].taskStepObj,
							stepEvi: that.itemStep[idx].stepEvidenceLst,
						}
					});
				} else {
					return;
				}
			},
			skipStep: function(idx) {
				var that = this;
				console.log("跳过该步骤");

				plus.geolocation.getCurrentPosition(function(p) {
					post('saveTaskStep', {
						user_id: "1212",
						task_id: that.itemStep[idx].taskStepObj.task_id,
						task_step_id: that.itemStep[idx].taskStepObj.task_step_id,
						attachType: 0,
						task_status: 10,
						latitude: p.coords.latitude,
						longitude: p.coords.longitude
					}).then(function() {
						vue = null;
						RSUtils.Toast('保存成功');
						that.itemStep[idx].taskStepObj.step_status = 10;
					}, function(err) {
						RSUtils.CloseLoading();
						console.log(err);
						RSUtils.Toast('保存失败 ' + (err.message || JSON.stringify(err)));
					});
				}, function(e) {
					console.log("获取位置信息失败：" + e.message);
					RSUtils.Toast("获取位置信息失败" + e.message);
				}, {
					geocode: true
				});
			},
			finshStep: function(idx) {
				var that = this;
				console.log("完成该步骤");
				plus.geolocation.getCurrentPosition(function(p) {
					post('saveTaskStep', {
						user_id: "1212",
						task_id: that.itemStep[idx].taskStepObj.task_id,
						task_step_id: that.itemStep[idx].taskStepObj.task_step_id,
						attachType: 0,
						task_status: 5,
						latitude: p.coords.latitude,
						longitude: p.coords.longitude
					}).then(function() {
						vue = null;
						RSUtils.Toast('保存成功');
						that.itemStep[idx].taskStepObj.step_status = 5;
					}, function(err) {
						RSUtils.CloseLoading();
						console.log(err);
						RSUtils.Toast('保存失败 ' + (err.message || JSON.stringify(err)));
					});
				});

			}
		}
	});

	var TASKALL = function() {
		this.ws = plus.webview.currentWebview();
		return this;
	};
	TASKALL.prototype = {
		init: function() {
			this.initEvent();
			this.initData();
		},
		//绑定事件
		initEvent: function() {
			var that = window.TASKALL;
		},
		//初始化数据
		initData: function() {
			//if(!RSUtils.IsLogin()) return;
			var that = window.TASKALL;
			//后台请求数据R
			RSUtils.Load({
				url: RSUtils.API.TASKJOB.taskDetail,
				type: "POST",
				data: {
					task_id: that.ws.taskId
				},
				callback: function(data) {
					if(data.success) {
						vm.itemDetail = data.data.taskJobObj;
						vm.itemSetpNum = data.data.taskStepLst.length;
						vm.itemStep = data.data.taskStepLst;
						vm.statusName = that.ws.taskStatusName;
					}
				}
			})
		},

	};

	mui.plusReady(function() {
		window['TASKALL'] = new TASKALL();
		window['TASKALL'].init();
	});
})(Zepto);