;
LoadCss('color-style');
rbready(function() {
	var ws = plus.webview.currentWebview();
	var vue = new Vue({
		el: '.mui-content',
		data: {
			title: '',
			text: '',
			imgs: ws.files || [],
			dragging: null,
			taskId: plus.webview.currentWebview().taskId,
			taskNo: plus.webview.currentWebview().taskNo,
			taskName: plus.webview.currentWebview().taskName,
			itemDetail: plus.webview.currentWebview().stepDetail,
			itemEvi: plus.webview.currentWebview().stepEvi,
			desc: '',
		},
		watch: {
			title: function() {
				if(this.title.length > 30) {
					this.title = this.title.substr(0, 30);
					RSUtils.Toast('标题最多30字');
				}
			}
		},
		methods: $.extend(commonMethods, {
			swap: function(i, j) {
				var imgs = this.imgs;
				var ei = imgs[i];
				var ej = imgs[j];
				if(ei && ej) {
					this.$set(imgs, i, ej);
					this.$set(imgs, j, ei);
				}
			},
			pop: function() {
				mui('#addphoto').popover('show');
			},
			openOther: function() {
				RSUtils.OpenOtherApp("com.weivoice");
			}
		})
	});
	mui.init();

	$('#addphoto .ccc2').on('tap', function() {
		RSUtils.CaptureImage(function(t) {
			console.log(t);
			vue.imgs.push(t);
		}, {
			raw: true
		});
	});
	$('#addphoto .ccc3').on('tap', function() {
		RSUtils.PickMultiImage({
			max: 9 - vue.imgs.length
		}).then(function(files) {
			for(var i in files) {
				vue.imgs.push(files[i]);
			}
		}, function(e) {
			RSUtils.Toast('选择图片失败 ' + (e.message || JSON.stringify(e)));
		});
	});
	$('#addphoto .ccc').on('tap', function() {
		// tap时直接隐藏popover无效，必须setTimeout。原因不明……
		setTimeout(function() {
			mui('#addphoto').popover('hide');
		});
	});

	RSUtils.BindTapEvent({
		id: '#saveStep',
		callback: function() {
			submit(true);
		}
	});
	RSUtils.BindTapEvent({
		id: '#skipSetp',
		callback: function() {
			console.log("取消该步骤");

			plus.geolocation.getCurrentPosition(function(p) {
				post('saveTaskStep', {
					user_id: "1212",
					task_id: vue.itemDetail.task_id,
					task_step_id: vue.itemDetail.task_step_id,
					//site_desc: vue.desc,
					attachType: 0,
					//file_paths: file_paths,
					task_status: 10,
					latitude: p.coords.latitude,
					longitude: p.coords.longitude
				}).then(function() {
					vue = null;
					RSUtils.Toast('保存成功。页面即将关闭……');
					setTimeout(function() {
						broadcast('listEvent', '');
						mui.back();
					}, 2000);
				}, function(err) {
					RSUtils.CloseLoading();
					console.log(err);
					RSUtils.Toast('保存失败 ' + (err.message || JSON.stringify(err)));
				});
			});

		}
	});

	//	if (ws.note) {
	//		load(ws.note);
	//		get('getNote_', [ws.note.id]).then(load);
	//	}

	function load(r) {
		var src = r.draft || r;
		vue.title = src.title;
		vue.text = src.text;
		vue.imgs = src.attachType == 1 ? src.attachUrls : [];
	}

	function submit(draft) {
		/*if ((!draft || vue.imgs.length == 0) && (vue.text.length < 2 || vue.title.length < 2)) {
			RSUtils.Toast('至少写两个字吧？');
			return;
		}*/
		RSUtils.ShowLoading();
		// 压缩并上传图片
		var ps = vue.imgs.map(function(file) {
			return file.startsWith('/app') ? file : new Promise(function(rs, rj) {
				RSUtils.CompressImg(file, null, function(e) {
					RSUtils.UploadFileToNFS({
						fileSrc: e.target,
						success: rs,
						err: rj
					});
				}, rj);
			});
		});
		
		plus.geolocation.getCurrentPosition(function(p) {
		// 提交保存
		Promise.all(ps).then(function(paths) {
			console.log("paths ---->" + paths.join(','));
			var file_paths = paths.join(',');
			return post('saveTaskStep', {
				user_id: "1212",
				task_id: vue.itemDetail.task_id,
				task_step_id: vue.itemDetail.task_step_id,
				site_desc: vue.desc,
				attachType: 0,
				file_paths: file_paths,
				task_status: 5,
				latitude: p.coords.latitude,
					longitude: p.coords.longitude
			});
		}).then(function() {
			vue = null;
			RSUtils.Toast('保存成功。页面即将关闭……');
			setTimeout(function() {
				broadcast('listEvent', '');
				plus.webview.getWebviewById(RSUtils.PageId.TaskItem).reload();
				mui.back();
			}, 2000);
		}, function(err) {
			RSUtils.CloseLoading();
			console.log(err);
			RSUtils.Toast('保存失败 ' + (err.message || JSON.stringify(err)));
		});
		
		})
		
	}
});