LoadCss('color-style');
rbready(async()=>{
	var ws = plus.webview.currentWebview();
	
	var vue = new Vue({
		el: '.mui-content',
		data: {
			sugs: [],
			name: {}
		},
		computed: {
			canFollow: function(){
				for (var i in this.sugs) { // 此处不能使用vue.sugs，因为第一次执行（Vue初始化）时var vue还未赋值
					var o = this.sugs[i];
					if (!o.follow && !o.self) {
						return true;
					}
				}
				return false;
			}
		},
		methods: $.extend(commonMethods, {
			followAll: function(){
				var me = getUserInfo().id;
				for (var i in vue.sugs) {
					var o = vue.sugs[i];
					if (o.follow || o.id == me) {
						continue;
					}
					post('setFollow__', [o.id, true]).then(()=> o.follow = true);
				}
			}
		})
	});
	
	mui.init();
	
	function getContacts(type) {
		return new Promise((rs, rj) => {
			plus.contacts.getAddressBook(type, book => book.find(['displayName', 'phoneNumbers'], rs, rj), rj);
			setTimeout(()=> rj('查询超时'), 1000);
		}).catch(err => {
			console.log(type + ' ' + err);
			return [];
		});
	}
	
	var inPhone = await getContacts(plus.contacts.ADDRESSBOOK_PHONE);
	var inSim = await getContacts(plus.contacts.ADDRESSBOOK_SIM);
	if (inPhone.length + inSim.length == 0) {
		throw { message: '没有发现联系人。可能是因为没有提供通讯录权限？' }
	}
	var mobiles = [];
	var name = {};
	inPhone.concat(inSim).forEach(c => {
		c.phoneNumbers.forEach(pn => {
			// 去除所有非数字并只取最后11位
			pn = String(pn.value).replace(/\D+/g, '');
			if (pn.length < 11) {
				return;
			}
			if (pn.length > 11) {
				pn = pn.substr(pn.length - 11);
			}
			mobiles.push(pn);
			name[pn] = c.displayName;
		});
	});
	
	vue.name = name;
	vue.sugs = await get('listSuggestions', {mobile: mobiles.join(',')});
});