;
(function($) {
	LoadCss('color-style');
	mui.init();
	var FEEDBACK = function() {
		this.ws = plus.webview.currentWebview();
		this.formData = {
			question: null,
			contact: '',
			feedback_img: null,
			feedback_img_nfs: null,
		};
		this.next = null;
		this.feedback_img_retry_count = 0;
		return this;
	};
	FEEDBACK.prototype = {
		init: function() {
			this.initEvent();
			this.SetExitsData();
			this.ResetNFSData();
		},
		ResetNFSData: function() {
			var that = window.FEEDBACK;
			that.formData.feedback_img_nfs = null;
		},
		/**
		 * 回显已经填写过的数据
		 */
		SetExitsData: function() {
			var _oldData = RSUtils.GetItem(RSUtils.DBKeys.Feedback);
			if(!_oldData) return;
			$('#feedback_img').attr('src', _oldData.feedback_img);
			this.formData = _oldData;
		},
		UploadNFS: function(src, target, callback, errCallback) {
			RSUtils.UploadFileToNFS({
				fileSrc: src,
				success: function(e) {
					switch(target) {
						case 'feedback_img_nfs':
							window.FEEDBACK.formData.feedback_img_nfs = e;
							break;
					}
					RSUtils.CloseLoading();
					if(callback) callback();
				},
				err: function(e) {
					RSUtils.CloseLoading();
					if(errCallback) errCallback(e);
				}
			});
		},

		feedback_img_upload: function() {
			var that = window.FEEDBACK;
			if(that.feedback_img_retry_count < 3)
				that.UploadNFS(that.formData.feedback_img, 'feedback_img_nfs', that.SaveToStorage, function(e) {
					setTimeout(function() {
						that.feedback_img_retry_count++;
						that.feedback_img_upload();
						that.NetErrorTips();
					}, 5000);
				});
		},
		/**
		 * 保存到Storage
		 */
		SaveToStorage: function() {
			var that = window.FEEDBACK;
			RSUtils.SetItem(RSUtils.DBKeys.Feedback, that.formData);

			if(that.formData.feedback_img_nfs) {
				that.PostToServer();
				mui(that.next).button('reset');
			}
		},
		NetErrorTips: function() {
			var that = window.FEEDBACK;
			if(that.feedback_img_retry_count >= 3) {
				mui(that.next).button('reset');
				RSUtils.Toast('请稍后在网络好的环境下重试');
				that.feedback_img_retry_count = 0;
			}
		},
		initEvent: function() {
			var that = this;
			mui.previewImage();
			RSUtils.CaptureContainer(function(t) {
				switch(t.aim) {
					case 'feedback_img':
						that.formData.feedback_img = t.target;
						break;
				}
			});

			RSUtils.BindTapEvent({
				id: '#feedback_commit',
				showLoading: true,
				autoCloseLoading: false,
				callback: function(e) {
					
					that.next = e;
					var _tipAndReset = function(msg) {
						RSUtils.Toast(msg);
						mui(that.next).button('reset');
						RSUtils.CloseLoading();
					}
					RSUtils.ShowLoading();

					if($('#question').val().trim().length <= 5) {
						$('#question').focus();
						RSUtils.Toast($('#question').data('msg'));
						RSUtils.CloseLoading();
						mui(that.next).button('reset');
						return;
					}
					that.formData.question = $('#question').val().trim();

					if(RSUtils.Verify()) {
						if(that.formData.feedback_img) {
							that.feedback_img_upload();
						} else {
							that.PostToServer();
						}
					} else {
						RSUtils.CloseLoading();
						mui(that.next).button('reset');
					}
				}
			});
		},
		PostToServer: function() {
			var that = this;
			that.formData.contact=$("#contact").val();
			var _feedback = that.formData;
			_feedback.feedback_img = null;
			RSUtils.Load({
				url: RSUtils.API.Renesola.addFeedback,
				type: 'POST',
				data: {
					'feedback': JSON.stringify(_feedback),
					'platfrom': JSON.stringify(RSUtils.GetPhoneInfo()),
				},
				callback: function(data) {
					RSUtils.RemoveItem(RSUtils.DBKeys.Feedback);
					RSUtils.CloseLoading();
					plus.webview.close(RSUtils.PageId.Feedback);
					RSUtils.Toast('您的建议我们已经收到，感谢您的反馈！');
				},
				errcallback: function(d, e, f) {
					mui(that.next).button('reset');
					RSUtils.CloseLoading();
					if(debug) {
						console.log(JSON.stringify(d))
						console.log(JSON.stringify(e))
						console.log(JSON.stringify(f))
					}
				}
			});

		}
	};

	mui.plusReady(function() {
		window.FEEDBACK = new FEEDBACK();
		window.FEEDBACK.init();
	});
})(Zepto);