(function($) {
	LoadCss('color-style');
	mui.init();
	var USERSET = function() {
		this.ws = plus.webview.currentWebview();
		return this;
	};
	USERSET.prototype = {
		init: function() {
			$("#version").html(RSUtils.GetPhoneInfo().app_version);
			this.initEvent();
		},
		initEvent: function() {
			//个人资料
			RSUtils.BindTapEvent({
				id: "#personalData",
				callback: function(e) {
					RSUtils.OpenContentPage({
						url: '_www/pages/user/personal_data.html',
						id: RSUtils.PageId.PersonalData,
					});
				}
			});

			//我的任务
			RSUtils.BindTapEvent({
				id: '#privacyTask',
				callback: function(e) {
					RSUtils.OpenContentPage({
						id: RSUtils.PageId.PrivacyTask,
						url: '_www/pages/user/privacyTask.html',
						loading: false,
						refresh: false
					});
				}
			});

			//我的事件
			RSUtils.BindTapEvent({
				id: '#privacyEvent',
				callback: function(e) {
					RSUtils.OpenContentPage({
						id: RSUtils.PageId.PrivacyEvent,
						url: '_www/pages/user/privacyEvent.html',
						loading: false,
						refresh: false
					});
				}
			});

			//清除缓存
			RSUtils.BindTapEvent({
				id: '#clearCache',
				callback: function(e) {
					mui.confirm('是否清除缓存？', '提示', ['<span style="color:#f39700">取消</span>', '<span style="color:#f39700">确认</span>'], function(e) {
						if(e.index != 0) {
							RSUtils.ClearLocalData(false, true);
							RSUtils.Toast('清除成功');
						}
					}, 'div');

				}
			});

			//关于我们
			RSUtils.BindTapEvent({
				id: '#about',
				callback: function(e) {
					RSUtils.OpenContentPage({
						id: RSUtils.PageId.About,
						url: '_www/pages/user/about.html',
						loading: false,
						refresh: false
					});
				}
			});

			//意见反馈
			RSUtils.BindTapEvent({
				id: '#feedback',
				callback: function(e) {
					RSUtils.OpenContentPage({
						id: RSUtils.PageId.Feedback,
						url: '_www/pages/user/feedback.html',
						loading: false,
						refresh: false
					});
				}
			});
			RSUtils.BindTapEvent({
				id: '#check_update',
				callback: function(e) {
					RSUtils.Load({
						url: mui.os.android ? RSUtils.API.Renesola.check_update : 'https://itunes.apple.com/lookup?bundleId=com.renesola.hunters&country=cn',
						loading: true,
						callback: function(data) {
							function updateWindow(content) {
								mui.confirm('发现新版本，为了更好体验，请先升级！建议在WiFi下点击升级', '更新', ['取消', '升级'], function(e) {
									if(e.index == 1) {
										mui.os.ios && plus.runtime.openURL(content);
									} else {
										plus.runtime.quit();
									}
								}, 'div');
							}
							if(mui.os.android && data && data.success) {
								var _latest_version = $.grep(data.data, function(item) {
									return item.key == 'latest_version';
								})[0];

								var _android_link = $.grep(data.data, function(item) {
									return item.key == 'android_link';
								})[0];

								if(_latest_version.content > RSUtils.GetPhoneInfo().app_version) {
									RSUtils.OpenContentPage({
										url: '_www/pages/common/download.html',
										extras: {
											'downUrl': _android_link.content
										},
										anishow: 'slide-in-bottom'
									});
								}
							} else if(mui.os.ios && data) {
								data = eval(data);
								if(data.results[0] && data.results[0].version > RSUtils.GetPhoneInfo().app_version) {
									updateWindow('https://itunes.apple.com/cn/app/%E4%BE%A0%E5%AE%A2%E5%B2%9B-swordsman/id1304835043?mt=8');
								}
							}
						}
					});
				}
			});

			RSUtils.BindTapEvent({
				id: '#loginOut',
				callback: function(e) {
					mui.confirm('确定退出吗', '退出', ['取消', '确认'], function(e) {
						if(e.index == 1) {
							RSUtils.LoginOut();
						}
					}, 'div');
				}
			});

		},
	};

	mui.plusReady(function() {
		window['USERSET'] = new USERSET()
		window['USERSET'].init();
	});
})(Zepto);